
/******************************************************************************
 CProgWindow.h

		Interfaces for the progress window class.
		
		Copyright  1995 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/


#pragma once



#include "CPane.h"
#include "CDirector.h"
#include "CWindow.h"



struct CProgressPane : CPane {

	void	UpdatePane (short *count, short total);
	
};



struct CProgressWindow : CWindow {

	CProgressPane	*itsPane;
	short			itsTotal;
	short			itsCount;
  
  	void    		IProgressWindow (CDirector *aSupervisor, short total);
  	
	void			ShowProgress (void);
	
};
