/******************************************************************************
 CArtClassDoc.h

		Interface for the ArtClassDoc Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CArtClassDoc

#include <CDocument.h>					/* Interface for its superclass		*/
#include <CBitMap.h>
#include <CApplication.h> 

struct CArtClassDoc : CDocument {		/* Class Declaration				*/
								/** Instance Variables **/
	DialogPtr	printBanner;

								/** Instance Methods **/
                                    
    void        IArtClassDoc(CApplication *aSupervisor);
	void		DoCommand(long theCommand);
	void		UpdateMenus(void);
	void		NewFile(void);
	void		OpenFile(SFReply *macSFReply);
	void		BuildWindow(CBitMap *theBitMap);
	
	Boolean		DoSave(void);
	Boolean		DoSaveAs(SFReply *macSFReply);
	void		DoRevert(void);
	
	void		AboutToPrint(short *firstPage, short *lastPage);
	void		DonePrinting(void);
};