/******************************************************************************
 CCheckBox.h

		Interface for the CheckBox Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
	TCL 1.1 CHANGES
	[
		- added INewCheckBox method for creating a checkbox without
		  using a CNTL resource.
	]

 ******************************************************************************/
 
#define _H_CCheckBox

#include "CButton.h"					/* Interface for its superclass		*/

class CCheckBox : public CButton {			/* Class Declaration				*/

public:
								/** Instance Variables **/
										/* None								*/
										
								/** Instance Methods **/
	void		ICheckBox(short CNTLid, CView *anEnclosure,
							CBureaucrat *aSupervisor);
							
	void		INewCheckBox( short aWidth, short aHeight, short aHEncl, short aVEncl, 
						StringPtr title, Boolean fVisible, 
						CView *anEnclosure,	CBureaucrat	*aSupervisor);

	virtual void		DoGoodClick(short whichPart);
	
	virtual Boolean		IsChecked(void);
};