/******************************************************************************
 CDialogDirector.h

		Interface for DialogDirector class
		
	SUPERCLASS = CDirector
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CDialogDirector

#include "CDirector.h"

class CDialogDirector : public CDirector
{
public:

	void 			IDialogDirector( CDirectorOwner *aSupervisor);
	virtual void 	DoCommand( long aCmd);	
	virtual long 	DoModalDialog( long defaultCmd);
	virtual Boolean Validate( void);
	virtual void	BeginDialog( void);
	virtual Boolean Close( Boolean fQuitting);
	virtual Boolean EndDialog( long withCmd, Boolean fValidate);

protected:

	long	dismissCmd;		// command that dismissed the dialog

	virtual void 	DisableTheMenus( void);
	virtual void 	EnableTheMenus( void);

};