/******************************************************************************
 CPictFile.h

		Interface for the PictFile Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CPictFile

#include "CDataFile.h"					/* Interface for its superclass		*/

class CPictFile : public CDataFile {	/* Class Declaration				*/

public:
								/** Instance Variables **/
	Handle		header;					/* Standard header for a PICT file	*/

								/** Instance Methods **/
	void		IPictFile(void);
	virtual void		Dispose(void);

	virtual Handle		ReadAll( void);
	virtual void		WriteAll(Handle contents);
};