/******************************************************************************
 CResBrowser.h

		
	SUPERCLASS = CDirector
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CResBrowser

#include "CDirector.h"
#include "ResourceStructs.h"

class CBrowseResDoc;
class CResListPane;
class CArray;

class CResBrowser : public CDirector
{
public:

	void IResBrowser( CBrowseResDoc *aSupervisor, ResType aResType, CArray *aResList);
	virtual void DoCommand( long aCommand);
	
	virtual void RemoveDirector( CDirector *aDirector);
	virtual void Dispose( void);
	
protected:

	CArray 			*itsResList;
	CResListPane	*itsResPane;
	ResType			resType;
	
	void BuildWindow( void);
	virtual CDirector *MakeResourceWindow( tResourceInfo *aResource);
	
};