
/*
 *  arith.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "stdlib.h"


int
abs(int i)
{
	if (i < 0)
		return(-i);
	return(i);
}


long
labs(long i)
{
	if (i < 0)
		return(-i);
	return(i);
}


div_t
div(int numer, int denom)
{
	div_t result;
	
	result.quot = numer / denom;
	result.rem = numer % denom;
	return(result);
}


ldiv_t
ldiv(long numer, long denom)
{
	ldiv_t result;
	
	result.quot = numer / denom;
	result.rem = numer % denom;
	return(result);
}
