
/*
 *  locale.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "locale.h"
#include "limits.h"
#include "string.h"


static struct lconv lconv = {
	".", "", "", "", "", "", "", "", "", "",
	CHAR_MAX, CHAR_MAX, CHAR_MAX, CHAR_MAX,
	CHAR_MAX, CHAR_MAX, CHAR_MAX, CHAR_MAX,
};


char *
setlocale(int category, const char *locale)
{
	if (locale && strcmp(locale, "C") && strcmp(locale, ""))
		return(NULL);
	return("C");
}


struct lconv *
localeconv(void)
{
	return(&lconv);
}


int
strcoll(const char *s1, const char *s2)
{
	return(strcmp(s1, s2));
}


size_t
strxfrm(char *s1, const char *s2, size_t n)
{
	strncpy(s1, s2, n);
	return(strlen(s2));
}
