/******************************************************************************
 CCollection.h

		Interface for the Collection Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

	TCL 1.1 CHANGES
	[
		- CCollection is now a subclass of CCollaborator
	]
	
 ******************************************************************************/
 
#define _H_CCollection

#include "CCollaborator.h"					/* Interface for its superclass		*/

class CCollection : public CCollaborator {			/* Class Declaration				*/
	
public:			
				
								/** Instance Variables **/
	long		numItems;				/* Number of items in collection	*/

								/** Instance Methods **/
	void		ICollection(void);		/* Initialization					*/
	virtual long		GetNumItems(void);		/* Retrieve size of collection		*/
	virtual Boolean		IsEmpty(void);			/* Is the collection empty?			*/
};