/******************************************************************************
 CTextEnvirons.h

		Interface for the TextEnvirons Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CTextEnvirons

#include "CEnvironment.h"				/* Interface for its superclass		*/

typedef struct TextInfoRec {
	short		fontNumber;
	short		theSize;
	short		theStyle;
	short		theMode;
} TextInfoRec;

class CTextEnvirons : public CEnvironment {	/* Class Declaration				*/

public:
								/** Instance Variables **/
	TextInfoRec		textInfo;			/* Text characteristics				*/

								/** Instance Methods **/
	void				ITextEnvirons(void);
	virtual void		Restore(void);
	virtual void		SetTextInfo(TextInfoRec *aTextInfo);
	virtual void		GetTextInfo(TextInfoRec *aTextInfo);
};